Run Gartner Markets Search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-gartner-markets-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "data loss prevention",
"max_items": 25
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-gartner-markets-search"
payload = {
"query": "data loss prevention",
"max_items": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'data loss prevention', max_items: 25})
};
fetch('https://api.neuralverge.ai/functions/v1/run-gartner-markets-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "gartner_market_search",
"query": "data loss prevention",
"max_items": 2,
"partial": false,
"human": "# Gartner Peer Insights market search\n\n- **Search term:** data loss prevention\n- **Max items:** 2\n- **Records returned:** 1\n- **Proxy traffic:** 12.0 KB",
"machine": {
"total_items": 1,
"items": [
{
"id": "caa14cb1-c6f6-4ffc-a05d-3160564d2cc6",
"ref_id": "412",
"name": "Data Loss Prevention",
"alias": "data-loss-prevention",
"review_count": 3898,
"has_profile": true,
"description": "Gartner defines data loss prevention (DLP) as a technical control designed to prevent data loss in order to comply with personal data regulations, prevent unintended disclosure, minimize insider risk and ensure that sensitive data is not overly accessible. DLP controls are typically applied to reduce the data risk for two states of unstructured data: data at rest and data in motion. Depending on t",
"url": "https://www.gartner.com/reviews/market/data-loss-prevention",
"position": 1
}
],
"proxy_traffic_bytes": 12262
},
"total_points": 1
}Product reviews
Run Gartner Markets Search
Searches Gartner Peer Insights markets (software categories) by keyword. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-gartner-markets-search
Run Gartner Markets Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.